---
updatedAt: 2026-04-04T14:19:39.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Add or Remove a Group Member

Manage group members by adding and removing group members.


**Security:** Requires admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Groups API",
    "description": "Group management APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n\n**Security:** Unless otherwise specified, all APIs require admin privileges.\n\n**Availability:** Artifactory 7.49.3+\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Groups",
      "description": "APIs for creating, updating, deleting, and managing JFrog Platform groups and group memberships."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v2/groups/{name}/members": {
      "patch": {
        "tags": [
          "Groups"
        ],
        "summary": "Add or Remove a Group Member",
        "description": "Manage group members by adding and removing group members.\n\n\n**Security:** Requires admin privileges.\n",
        "operationId": "updateGroupMembers",
        "parameters": [
          {
            "name": "name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The group name"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "add": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    },
                    "description": "Members to add"
                  },
                  "remove": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    },
                    "description": "Members to remove"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "members": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - Group not found"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```